/*************************************************************************************************/
/*                                                                                               */
/* Trigger: DTULTATU_QUALIFICASS                                                                 */
/* Tabela : QUALIFASSINANTE                                                                      */
/*                                                                                               */
/* Criao:                                                                                      */
/* 09/08/2010 - ANDR FELIPE CAMPOS HIBENE                                                       */
/*                                                                                               */
/*************************************************************************************************/

CREATE OR REPLACE
TRIGGER DTULTATU_QUALIFICASS
BEFORE INSERT OR UPDATE OR DELETE
ON QUALIFASSINANTE FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF ((NVL(:OLD.CDQUALIFASSINA, 0)) <> (NVL(:NEW.CDQUALIFASSINA, 0)) OR
          (NVL(:OLD.NMQUALIFASSINA, 0)) <> (NVL(:NEW.NMQUALIFASSINA, 0))) THEN
        :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE,CDFILICACHE,DSKEYCACHE,DTULTATUCACH)
      VALUES ('QUALIFASSINANTE','','CDQUALIFASSINA='||:OLD.CDQUALIFASSINA||';',SYSDATE);
   END IF;
END;
/